Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class SimpleWildcardTester

    java.lang.Object
      org.eclipse.ui.actions.SimpleWildcardTester

public final class SimpleWildcardTester
extends Object

Implements an algorithm for very simple pattern matching in a string. There is only one feature: "*" may be used at the start or the end of the pattern to represent "one or more characters".

Constructor Summary
`SimpleWildcardTester()`

Method Summary
`static boolean` | `testWildcard(String pattern, String str)` Returns whether a string matches a particular pattern.
`static boolean` | `testWildcardIgnoreCase(String pattern, String str)` Returns whether a string matches a particular pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleWildcardTester

    public SimpleWildcardTester()

Method Detail

### testWildcard

    public static boolean testWildcard(String pattern,
                                       String str)

  Returns whether a string matches a particular pattern.

  Parameters:
    `pattern` - the input pattern
    `str` - the string to test
  Returns:
    `true` if a match occurs; `false`otherwise.

### testWildcardIgnoreCase

    public static boolean testWildcardIgnoreCase(String pattern,
                                                 String str)

  Returns whether a string matches a particular pattern. Both string and pattern are converted to lower case before pattern matching occurs.

  Parameters:
    `pattern` - the input pattern
    `str` - the string to test
  Returns:
    `true` if a match occurs; `false`otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.